import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { SortOrderSchema } from '../enums/SortOrder.schema'

const makeSchema = () => z.object({
  id: SortOrderSchema.optional(),
  patientId: SortOrderSchema.optional(),
  userId: SortOrderSchema.optional(),
  staffId: SortOrderSchema.optional(),
  title: SortOrderSchema.optional(),
  date: SortOrderSchema.optional(),
  startTime: SortOrderSchema.optional(),
  endTime: SortOrderSchema.optional(),
  type: SortOrderSchema.optional(),
  typeLocked: SortOrderSchema.optional(),
  notes: SortOrderSchema.optional(),
  procedureCodeNotes: SortOrderSchema.optional(),
  status: SortOrderSchema.optional(),
  movedByAi: SortOrderSchema.optional(),
  createdAt: SortOrderSchema.optional(),
  eligibilityStatus: SortOrderSchema.optional()
}).strict();
export const AppointmentMaxOrderByAggregateInputObjectSchema: z.ZodType<Prisma.AppointmentMaxOrderByAggregateInput> = makeSchema() as unknown as z.ZodType<Prisma.AppointmentMaxOrderByAggregateInput>;
export const AppointmentMaxOrderByAggregateInputObjectZodSchema = makeSchema();
